## fielding 0.1.0+p24.04+vstable+git20251015.1235

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20251015.1235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:35:06 +0000

fielding (0.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Apr 2023 16:07:22 +1000

## fielding 0.1.0+p24.04+vstable+git20251019.0217

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(fielding
    main.cpp
    controller.cpp
)

ecm_add_qml_module(fielding
    URI org.kde.fielding
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        ui/GlobalMenu.qml
        ui/Main.qml
        ui/PageHeader.qml
)

target_link_libraries(fielding PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::DBusAddons)

kconfig_target_kcfg_file(fielding FILE fieldingconfig.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)
install(TARGETS fielding ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20251019.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:17:37 +0000

## fielding 0.1.0+p24.04+vstable+git20251021.0316

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(fielding VERSION 0.1)

include(FeatureSummary)

set(QT_MIN_VERSION 6.7)
set(KF_MIN_VERSION 6.8)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FIELDING
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-fielding.h"
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons Config I18n DBusAddons)
find_package(KF6KirigamiAddons 1.1.0 REQUIRED)

add_subdirectory(src)

install(PROGRAMS org.kde.fielding.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.fielding.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.fielding.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20251021.0316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:16:09 +0000

=== debian/control ===
Source: fielding
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/fielding
Vcs-Git: https://invent.kde.org/neon/neon-packaging/fielding.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/fielding
Maintainer: Neon CI <neon@kde.org>

Package: fielding
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE REST API utility
 A simple REST API testing tool

## fielding 0.1.0+p24.04+vstable+git20251231.0353

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20251231.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:53:30 +0000

## fielding 0.1.0+p24.04+vstable+git20260105.1108

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20260105.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:08:19 +0000

## fielding 0.1.0+p24.04+vstable+git20260107.0902

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:37 +0000

## fielding 0.1.0+p24.04+vstable+git20260130.0809

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20260130.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:09:52 +0000

## fielding 0.1.0+p24.04+vstable+git20260131.1323

=== debian/changelog ===
fielding (0.1.0+p24.04+vstable+git20260131.1323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:23:28 +0000

## fielding 0.1.0+p24.04+vunstable+git20260107.1131

=== debian/changelog ===
fielding (0.1.0+p24.04+vunstable+git20260107.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 11:31:37 +0000

## fielding 0.1.0+p24.04+vunstable+git20260123.0529

=== debian/changelog ===
fielding (0.1.0+p24.04+vunstable+git20260123.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:29:26 +0000

## fielding 0.1.0+p24.04+vunstable+git20260130.1108

=== debian/changelog ===
fielding (0.1.0+p24.04+vunstable+git20260130.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:08:39 +0000
